AuthChallengeProcessor (HttpClient Library (Version 3.1))
Date: 2019-09-02

org.apache.commons.httpclient.auth

## Class AuthChallengeProcessor

- java.lang.Object
- - org.apache.commons.httpclient.auth.AuthChallengeProcessor

-     public final class AuthChallengeProcessor
      extends java.lang.Object

  This class provides utility methods for processing HTTP www and proxy authentication challenges.
  Since:
    3.0
  Author:
    Oleg Kalnichevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthChallengeProcessor(HttpParams params)` Creates an authentication challenge processor with the given `HTTP parameters`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthScheme` | `processChallenge(AuthState state, java.util.Map challenges)` Processes the given collection of challenges and updates the `state` of the authentication process.
    `AuthScheme` | `selectAuthScheme(java.util.Map challenges)` Determines the preferred `authentication scheme` that can be used to respond to the given collection of challenges.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthChallengeProcessor

          public AuthChallengeProcessor(HttpParams params)

      Creates an authentication challenge processor with the given `HTTP parameters`
      Parameters:
        `params` - the `HTTP parameters` used by this processor

  - ### Method Detail

    - #### selectAuthScheme

          public AuthScheme selectAuthScheme(java.util.Map challenges)
                                      throws AuthChallengeException

      Determines the preferred `authentication scheme` that can be used to respond to the given collection of challenges.
      Parameters:
        `challenges` - the collection of authentication challenges
      Returns:
        the preferred `authentication scheme`
      Throws:
        `AuthChallengeException` - if the preferred authentication scheme cannot be determined or is not supported

    - #### processChallenge

          public AuthScheme processChallenge(AuthState state,
                                             java.util.Map challenges)
                                      throws MalformedChallengeException,
                                             AuthenticationException

      Processes the given collection of challenges and updates the `state` of the authentication process.
      Parameters:
        `challenges` - the collection of authentication challenges
      Returns:
        the `authentication scheme` used to process the challenge
      Throws:
        `AuthChallengeException` - if authentication challenges cannot be successfully processed or the preferred authentication scheme cannot be determined
        `MalformedChallengeException`
        `AuthenticationException`

Copyright (c) 1999-2005 - Apache Software Foundation